Name:           spawn
Version:        0.1
Release:        5%{?dist}
Summary:        Simple tool to run several Linux command-lines in parallel

Group:          Applications/System
License:        GPLv3+
URL:            http://code.google.com/p/spawntool/
Source0:        http://spawntool.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     


%description
spawn is a simple parallel execution utility written to appeal to the Unix
mindset. spawn reads shell command lines from stdin, one per line, and then
executes them as maximum of N child processes in parallel, and waits for
all of the children to exit.
If a child process fails with a non-zero exit code, no new children are
spawned. Then spawn waits for all existing children to exit and returns
the failed exit code. 


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-4
- Rebuilt

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-1
- Initial package for Fedora

